{
num: -212001,
accuracy: 100,
basePower: 80,
category: "Special",
name: "Disintegrate",
pp: 10,
priority: 0,
flags: {protect: 1, mirror: 1, pulse: 1},
beforeMoveCallback(source, target, move) {
if (this.field.isTerrain && this.field.isTerrain('electricterrain')) {
this.field.clearTerrain();
if (source && source.setAbility && source.setAbility('megalauncher')) {
this.add('-ability', source, 'Mega Launcher', '[from] move: Disintegrate');
}
}
},secondary: null,
target: "normal",
type: "Fire",
contestType: "Cool",
}
